local function doFadeWipe(state)
  fadeWipe = celeste.FadeWipe(engine.Scene, state, nil)
  engine.Scene:Add(fadeWipe)
  fadeWipe.duration = 2
  fadeWipe.EndTimer = 1
end

local luaCutscenesUtils = require("#Celeste.Mod.MaxHelpingHand.Module.LuaCutscenesUtils")


function onBegin()

  disablePause()
  disableMovement()
  player.ForceCameraUpdate = true
  waitUntilOnGround()
  walkTo(1479)

  coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CBR_BlackSpace_door1_room1_question"))

  coroutine.yield(luaCutscenesUtils.ChoiceWithDifferentFont("OMORI_GAME", "CBR_BlackSpace_door1_room1_answer1", "CBR_BlackSpace_door1_room1_answer2"))
  local multipla = luaCutscenesUtils.GetChoice()

  if multipla == 1 then

    doFadeWipe(false)
    wait(0.2)
    jump()
    run(50)

  else

    wait(0.2)
    walk(-100)
    enableMovement()
    enablePause()

  end

end